use std::io::{Error, Read};
use brotli::Decompressor;

pub fn decompress_to_vec(input: &[u8]) -> Result<Vec<u8>, Error> {
    let mut reader = Decompressor::new(input, 4096);
    let mut result: Vec<u8> = Vec::new();
    reader.read_to_end(&mut result)?;
    Ok(result)
}
